Subject: Re: rsh -l doesn't require a password
From: Keith Starsmeare <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Jan 2001 15:00:11 +0000 (GMT)

--- Jason Tishler <[email-masked]> wrote: 

> Since Cygwin's mkpasswd creates an empty pw_passwd field, the above
> code never calls iruserok().  Hence, any user is allowed rsh access.
> 
> I "fixed" the problem by inserting asterisks into the pw_passwd
> fields in my /etc/passwd file.  For example:
> 
>     jt:*:1004:513:Jason Tishler,S-1...
>        ^
>        +--- here

Thanks for the tip. That works for me!

> I never submitted a patch because it seems like the s-commands (i.e.,
> ssh) are much more in vogue then the r-commands (i.e., rsh) now a days.

I'm obviously too trusting!

Keith

____________________________________________________________
Do You Yahoo!?
Get your free @yahoo.co.uk address at http://mail.yahoo.co.uk
or your free @yahoo.ie address at http://mail.yahoo.ie

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple